package com.xynet.marketing.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 促销活动表
 * @author hechunping
 * @date 2025/1/21
 */
@Data
@Accessors(chain = true)
@TableName("marketing_promotion")
public class Promotion {
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 商户id
     */
    private Integer mercId;

    /**
     * 活动名称
     */
    private String name;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private String type;

    private String price;

    private Boolean isAllDay;

    private String dayTime;

    private Boolean canCoupon = false;

    private String status;

    private Integer userLimitNum;

    private Boolean isAllDevice = true;

    private Boolean isAllGoods = true;

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private Integer weight;

    private Boolean enableStatus;
}